classification
Title: test_peg_generator C tests fail on Windows ARM
Type: Stage: resolved
Components: Tests, Windows Versions: Python 3.10, Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: miss-islington, paul.moore, steve.dower, tim.golden, zach.ware
Priority: normal Keywords: patch

Created on 2020-06-30 15:57 by steve.dower, last changed 2020-07-09 18:12 by miss-islington. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 21400 merged steve.dower, 2020-07-08 18:41
PR 21419 merged miss-islington, 2020-07-09 17:53
Messages (3)
msg372699 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2020-06-30 15:57
These tests rely on MSVC to do some building, but Windows ARM devices do not currently have a compiler toolset (you need to cross-compile).

We should skip these tests.

Sample build: https://buildbot.python.org/all/#/builders/182/builds/773

Sample traceback: 
======================================================================
ERROR: test_error_in_rules (test.test_peg_generator.test_c_parser.TestCParser)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "C:\python\lib\test\test_peg_generator\test_c_parser.py", line 404, in test_error_in_rules
    self.run_test(grammar_source, test_source)
  File "C:\python\lib\test\test_peg_generator\test_c_parser.py", line 83, in run_test
    self.build_extension(grammar_source)
  File "C:\python\lib\test\test_peg_generator\test_c_parser.py", line 80, in build_extension
    generate_parser_c_extension(grammar, Path(self.tmp_path))
  File "C:\python\Tools\peg_generator\pegen\testutil.py", line 104, in generate_parser_c_extension
    compile_c_extension(str(source), build_dir=str(path))
  File "C:\python\Tools\peg_generator\pegen\build.py", line 90, in compile_c_extension
    cmd.run()
  File "C:\python\lib\distutils\command\build_ext.py", line 340, in run
    self.build_extensions()
  File "C:\python\lib\distutils\command\build_ext.py", line 449, in build_extensions
    self._build_extensions_serial()
  File "C:\python\lib\distutils\command\build_ext.py", line 474, in _build_extensions_serial
    self.build_extension(ext)
  File "C:\python\lib\distutils\command\build_ext.py", line 529, in build_extension
    objects = self.compiler.compile(sources,
  File "C:\python\lib\distutils\_msvccompiler.py", line 323, in compile
    self.initialize()
  File "C:\python\lib\distutils\_msvccompiler.py", line 220, in initialize
    vc_env = _get_vc_env(plat_spec)
  File "C:\python\lib\distutils\_msvccompiler.py", line 122, in _get_vc_env
    raise DistutilsPlatformError("Unable to find vcvarsall.bat")
distutils.errors.DistutilsPlatformError: Unable to find vcvarsall.bat
msg373411 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2020-07-09 17:52
New changeset af56c4fc76ac39ce76d649d7bebf7f78c1add4fa by Steve Dower in branch 'master':
bpo-41172: Fix check for compiler in test suite (GH-21400)
https://github.com/python/cpython/commit/af56c4fc76ac39ce76d649d7bebf7f78c1add4fa
msg373415 - (view) Author: miss-islington (miss-islington) Date: 2020-07-09 18:12
New changeset c65ee555124a5647b8e3a5d58c906fa5db9e927a by Miss Islington (bot) in branch '3.9':
bpo-41172: Fix check for compiler in test suite (GH-21400)
https://github.com/python/cpython/commit/c65ee555124a5647b8e3a5d58c906fa5db9e927a
History
Date User Action Args
2020-07-09 18:12:14miss-islingtonsetmessages: + msg373415
2020-07-09 17:55:24steve.dowersetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2020-07-09 17:53:18miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request20568
2020-07-09 17:52:47steve.dowersetmessages: + msg373411
2020-07-08 18:41:45steve.dowersetkeywords: + patch
stage: patch review
pull_requests: + pull_request20549
2020-06-30 15:57:23steve.dowercreate